Crash: NullPointerException in LeadImagesHandler.beginLayout()
Closed, ResolvedPublic

Description

https://rink.hockeyapp.net/manage/apps/226650/app_versions/6/crash_reasons/70696166

1 org.wikipedia.page.leadimages.LeadImagesHandler.beginLayout LeadImagesHandler.java, line 183
2 org.wikipedia.page.PageFragment.onConfigurationChanged PageFragment.java, line 510
3 android.support.v4.app.Fragment.performConfigurationChanged Fragment.java, line 2017
4 android.support.v4.app.FragmentManagerImpl.dispatchConfigurationChanged FragmentManager.java, line 2090
5 android.support.v4.app.FragmentController.dispatchConfigurationChanged FragmentController.java, line 246
6 android.support.v4.app.FragmentActivity.onConfigurationChanged FragmentActivity.java, line 267
7 android.support.v7.app.AppCompatActivity.onConfigurationChanged AppCompatActivity.java, line 129
8 org.wikipedia.page.PageActivity.onConfigurationChanged

Dbrant created this task.Dec 4 2015, 5:22 PM
Dbrant updated the task description. (Show Details)
Dbrant raised the priority of this task from to High.
Dbrant moved this task to Next Sprint on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 4 2015, 5:22 PM
Niedzielski set Security to None.

Change 257363 had a related patch set uploaded (by Niedzielski):
Guard against NPE

https://gerrit.wikimedia.org/r/257363

Change 257363 merged by jenkins-bot:
Guard against NPE

https://gerrit.wikimedia.org/r/257363

Did not see any crashes with 2.1.135-alpha-2015-12-07 (on Nexus 5 (Android 5.1.1) ).

Dbrant closed this task as Resolved.Jan 4 2016, 5:44 PM